Bug 247418 - Merge with gnome-python2-gda
Summary: Merge with gnome-python2-gda
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-python2-extras   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-09 07:05 UTC by Denis Leroy
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-21 22:49:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Denis Leroy 2007-07-09 07:05:10 UTC
Hi,

With the now merged core and extras, for F-8 we should consider folding
gnome-python2-gda back into gnome-python2-extras where it belongs :-)

I'd be happy to act as gnome-python2-extras co-maintainer if that can help.

cheers,
-denis (gnome-python2-gda packager)

Comment 1 Matthew Barnes 2007-07-14 22:46:34 UTC
I'm all for the idea of merging it back in but I'm confused about the current
gnome-python2-gda package.  The gnome-python2-extras package in Rawhide would
require libgda version 2.99.6 (according to its configure.ac).  The Fedora
package, however, requires the compat-libgda package which only provides libgda
1.2.4.  And I don't even see a libgda version in Fedora beyond 1.9.100.

What's going on here?

Comment 2 Denis Leroy 2007-07-16 09:50:09 UTC
Well my understanding is that we're moving to libgda 3.0 for F-8. The current
version in CVS is 3.0.1. My other main motivation is to prepare for the upcoming
glom 1.6 stable tree that needs libgda 3 (and a whole bunch of deps including
gnome-python2-extras).

gnome-python2-extras 2.14.x still requires libgda 1.2.x, currently provided by
compat-libgda 1.2.4.

What i would like to do is EOL compat-libgda completely and move everything to
libgda 3.0.x. This requires the following changes:

- move gnome-python2-extras to 2.19.1
- move glom to 1.5.2 (I own that)
- move libgdamm to 2.9.7 (I co-own that)
- gnumeric is already patched to support libgda 3 (CCing Hans)
- libgmomedb is already at 3.0 in CVS (Hans also owns that)

Did I miss any other deps ? Do you see any issues with moving
gnome-python2-extras to 2.19.1 ?



Comment 3 Hans de Goede 2007-07-16 10:04:05 UTC
(In reply to comment #2)
> Well my understanding is that we're moving to libgda 3.0 for F-8. The current
> version in CVS is 3.0.1.

Correct, actually rawhide is already at libgda and libgnomedb 3.0.x

> - gnumeric is already patched to support libgda 3 (CCing Hans)

Correct, rawhide has a patched version of gnumeric which uses libgda3, according
to one reporter, with this version the gnumeric database access functions
actually work :)

> - libgmomedb is already at 3.0 in CVS (Hans also owns that)
> 

Correct, and 3.0 is in rawhide too.

If you want I can push libgda libgnomedb 3.0.x + a matching gnumeric to F-7
updates too.


Comment 4 Denis Leroy 2007-07-16 10:15:10 UTC
Hans,

I'd wait until we have a chance to test everything thoroughly.
gnome-python2-extras checks for libgda-3.0.pc, so in theory should just compile
fine with libgda-3.0, but I wouldn't be surprised if things needed a patch or
two to make glom work correctly...

I'm having problems with my Rawhide VMware VM (crashes the host kernel :-( ), so
i'm having trouble testing this at the moment...


Comment 5 Matthew Barnes 2007-07-16 14:22:58 UTC
Denis,

Okay I have the gda stuff packaged into gnome-python2-extras-2.19.1-2.fc8.

I introduced two new subpackages:

   gnome-python2-gda          Contains the shared library
   gnome-python2-gda-devel    Contains the header and pkgconfig files

I also added:

   Obsoletes: gnome-python2-gda <= 2.14.3-1
   Obsoletes: gnome-python2-gda-devel <= 2.14.3-1

Look right?

Comment 6 Denis Leroy 2007-07-16 14:38:40 UTC
Looks good, the merge with the spec file from the gnome-python2-gda should have
been straightforward.

This will cause temporary dependency breakage until I get libgdamm and glom
fixed, but i guess that's ok with rawhide.


Comment 7 Warren Togami 2007-07-24 20:07:30 UTC
gnome-python2-gda confirmed removed from F8.


Comment 8 Matthew Barnes 2007-08-21 22:49:33 UTC
Closing this.  gnome-python2-gda has been merged back into gnome-python2-extras.


Note You need to log in before you can comment on or make changes to this bug.